Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class Sequence

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.imp3d.objects.Sequence

All Implemented Interfaces:
  ContextDependent, Manageable, Shareable

Direct Known Subclasses:
  CurveSequence, VertexSequence

    public abstract class Sequence

extends ContextDependentBase

Nested Class Summary
`static class` | `Sequence.Type`

Field Summary
`static Sequence.Type` | `$TYPE`
`static int` | `DOWNWARD`
`static int` | `DOWNWARD_AXIS`
`static SCOType.Field` | `name$FIELD`
`static EnumerationType` | `PATH_TYPE`
`static SCOType.Field` | `path$FIELD`
`static int` | `UPWARD_AXIS`
`static int` | `UPWARD_BRANCH`

Constructor Summary
`Sequence()`

Method Summary
`protected java.lang.Object` | `calculateCache(GraphState gs, java.lang.Object info)`
`protected abstract java.lang.Object` | `calculateCache(Matrix4d inv, java.util.ArrayList list, GraphState gs, java.lang.Object info)`
`protected java.lang.Object` | `getCache(GraphState gs)`
`java.lang.String` | `getName()`
`int` | `getPath()`
`void` | `setName(java.lang.String value)`
`void` | `setPath(int value)`
`protected abstract void` | `visitNode(java.lang.Object node, java.lang.Object shape, java.util.ArrayList list, GraphState gs)`

Methods inherited from class de.grogra.graph.impl.ContextDependentBase
`writeStamp`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.graph.ContextDependent
`dependsOnContext`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Field Detail

### $TYPE

    public static final Sequence.Type $TYPE

### DOWNWARD

    public static final int DOWNWARD

See Also:
  Constant Field Values

### DOWNWARD_AXIS

    public static final int DOWNWARD_AXIS

See Also:
  Constant Field Values

### name$FIELD

    public static final SCOType.Field name$FIELD

### PATH_TYPE

    public static final EnumerationType PATH_TYPE

### path$FIELD

    public static final SCOType.Field path$FIELD

### UPWARD_AXIS

    public static final int UPWARD_AXIS

See Also:
  Constant Field Values

### UPWARD_BRANCH

    public static final int UPWARD_BRANCH

See Also:
  Constant Field Values

Constructor Detail

### Sequence

    public Sequence()

Method Detail

### calculateCache

    protected java.lang.Object calculateCache(GraphState gs,
                                              java.lang.Object info)

### calculateCache

    protected abstract java.lang.Object calculateCache(Matrix4d inv,
                                                       java.util.ArrayList list,
                                                       GraphState gs,
                                                       java.lang.Object info)

### getCache

    protected java.lang.Object getCache(GraphState gs)

### getName

    public java.lang.String getName()

### getPath

    public int getPath()

### setName

    public void setName(java.lang.String value)

### setPath

    public void setPath(int value)

### visitNode

    protected abstract void visitNode(java.lang.Object node,
                                      java.lang.Object shape,
                                      java.util.ArrayList list,
                                      GraphState gs)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD